Subject: Wanted: Microtome

From: [email-masked] (Karl Kuzis)
Date: 25 Aug 93 23:12:31 GMT

Hello all,

		We are in search of a used microtome. Would prefer a sliding flat bed
style, but will consider any that are available. We have all the supplies 
(ie. blades /freezing block etc.) so any unused microtome is of interest.
Naturally, we  are willing to pay a reasonable price. Please respond via
E-Mail to [email-masked] please place my name, Karl Kuzis, in the subject
area. Thanks in advance.

Karl Kuzis  
Oregon Health Science University
Portland, Oregon, USA.                                    
Email: c/o [email-masked]       (Put my name in the subject area) 
Voice: Wk (503) 494-2491